package com.ruoyi.project.training.bccnew.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.bccnew.mapper.TTsFtplanContentMapper;
import com.ruoyi.project.training.bccnew.domain.TTsFtplanContent;
import com.ruoyi.project.training.bccnew.service.ITTsFtplanContentService;

/**
 * 芳烃培训内容Service业务层处理
 *
 * @author ssy
 * @date 2024-07-19
 */
@Service
public class TTsFtplanContentServiceImpl implements ITTsFtplanContentService
{
    @Autowired
    private TTsFtplanContentMapper tTsFtplanContentMapper;

    /**
     * 查询芳烃培训内容
     *
     * @param id 芳烃培训内容ID
     * @return 芳烃培训内容
     */
    @Override
    public TTsFtplanContent selectTTsFtplanContentById(Long id)
    {
        return tTsFtplanContentMapper.selectTTsFtplanContentById(id);
    }

    /**
     * 查询芳烃培训内容列表
     *
     * @param tTsFtplanContent 芳烃培训内容
     * @return 芳烃培训内容
     */
    @Override
    public List<TTsFtplanContent> selectTTsFtplanContentList(TTsFtplanContent tTsFtplanContent)
    {
        return tTsFtplanContentMapper.selectTTsFtplanContentList(tTsFtplanContent);
    }

    /**
     * 新增芳烃培训内容
     *
     * @param tTsFtplanContent 芳烃培训内容
     * @return 结果
     */
    @Override
    public int insertTTsFtplanContent(TTsFtplanContent tTsFtplanContent)
    {
        return tTsFtplanContentMapper.insertTTsFtplanContent(tTsFtplanContent);
    }

    /**
     * 修改芳烃培训内容
     *
     * @param tTsFtplanContent 芳烃培训内容
     * @return 结果
     */
    @Override
    public int updateTTsFtplanContent(TTsFtplanContent tTsFtplanContent)
    {
        return tTsFtplanContentMapper.updateTTsFtplanContent(tTsFtplanContent);
    }

    /**
     * 批量删除芳烃培训内容
     *
     * @param ids 需要删除的芳烃培训内容ID
     * @return 结果
     */
    @Override
    public int deleteTTsFtplanContentByIds(Long[] ids)
    {
        return tTsFtplanContentMapper.deleteTTsFtplanContentByIds(ids);
    }

    /**
     * 删除芳烃培训内容信息
     *
     * @param id 芳烃培训内容ID
     * @return 结果
     */
    @Override
    public int deleteTTsFtplanContentById(Long id)
    {
        return tTsFtplanContentMapper.deleteTTsFtplanContentById(id);
    }
}
